      SUBROUTINE INC( P )

      INTEGER P

      P = P + 1

      END SUBROUTINE


      PROGRAM MAIN

      INTEGER A

      A = 4

      WRITE (*,*) 'A before:', A
      CALL INC( A )
      WRITE (*,*) 'A after:', A

      END
